Subject: Re: [PATCH net-next] geneve: Use pcpu stats to update rx_dropped counter.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 12 Nov 2024 18:15:18 -0800

On Tue, 12 Nov 2024 17:53:36 +0100 Paolo Abeni wrote:
> > How about switching to NETDEV_PCPU_STAT_DSTATS instead, so there is a
> > single percpu struct allocated x device (geneve already uses
> > NETDEV_PCPU_STAT_TSTATS): stats fetching will be faster, and possibly
> > memory usage lower.  
> 
> I was not aware of the previous discussion on this same topic:
> 
> https://lore.kernel.org/netdev/[email-masked]/
> 
> and I missed the previous change on bareudp.c
> 
> I still think that avoiding the double per-cpu traversal when fetching
> the stats could be useful, especially on large multi-numa nodes systems.
> 
> I guess it's better to be consistent and keep geneve and bareudp
> aligned. We can eventually consolidate the stats later.

We merged the bareudp changes... begrudgingly. You're the third
maintainer in a row to make a similar suggestion, which is pretty
strong signal that it's a better direction.